Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.conf
Interface JDBCConfiguration

All Superinterfaces:
  java.beans.BeanInfo, Configuration, JDOConfiguration, java.io.Serializable

All Known Implementing Classes:
  SimpleJDBCConfiguration

public interface JDBCConfiguration
extends JDOConfiguration

Configuration that defines the properties necessary to configure runtime and connect to a JDBC DataSource.

In addition to those supported by the `JDOConfiguration`, the following properties are recognized:

- com.solarmetric.kodo.impl.jdbc.Schemas
- com.solarmetric.kodo.impl.jdbc.UseSQL92Joins
- com.solarmetric.kodo.impl.jdbc.JDBCListenerClasses
- com.solarmetric.kodo.impl.jdbc.DBDictionaryClass
- com.solarmetric.kodo.impl.jdbc.DBDictionaryProperties
- com.solarmetric.kodo.impl.jdbc.SequenceFactoryClass
- com.solarmetric.kodo.impl.jdbc.SequenceFactoryProperties
- com.solarmetric.kodo.impl.jdbc.UpdateManagerClass
- com.solarmetric.kodo.impl.jdbc.UpdateManagerProperties
- com.solarmetric.kodo.impl.jdbc.MappingFactoryClass
- com.solarmetric.kodo.impl.jdbc.MappingFactoryProperties
- com.solarmetric.kodo.impl.jdbc.SchemaFactoryClass
- com.solarmetric.kodo.impl.jdbc.SchemaFactoryProperties
- com.solarmetric.kodo.impl.jdbc.VersionIndicatorType
- com.solarmetric.kodo.impl.jdbc.ClassIndicatorType
- com.solarmetric.kodo.impl.jdbc.SubclassMappingType

Field Summary
`static java.lang.String` | `LOG_JDBC` Name of the logger for JDBC-related messages: `com.solarmetric.kodo.impl.jdbc.JDBC`.
`static java.lang.String` | `LOG_SCHEMA` Name of the logger for schema-related messages: `com.solarmetric.kodo.impl.jdbc.Schema`.
`static java.lang.String` | `LOG_SQL` Name of the logger for SQL execution messages: `com.solarmetric.kodo.impl.jdbc.SQL`.

Fields inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`java.lang.String` | `getClassIndicatorType()` The full class or type name of the `ClassIndicator` to use when creating new class mappings.
`com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary` | `getDBDictionary()` The `DBDictionary` to use.
`java.lang.String` | `getDBDictionaryClass()` The `DBDictionary` class to use to define the RDBMS SQL information.
`java.lang.String` | `getDBDictionaryProperties()` Configuration options for the `DBDictionary`.
`java.lang.String` | `getJDBCListenerClasses()` A comma-separated list of the `JDBCListener` classes for listening to `JDBCEvent`s.
`com.solarmetric.rd.jdbc.JDBCListener[]` | `getJDBCListeners()` The `JDBCListener`s to use.
`com.solarmetric.rd.kodo.impl.jdbc.meta.MappingFactory` | `getMappingFactory()` The `MappingFactory` to use for O-R mapping.
`java.lang.String` | `getMappingFactoryClass()` The class name of the `MappingFactory` to use in creating the O-R mappings.
`java.lang.String` | `getMappingFactoryProperties()` Properties of the `MappingFactory`.
`com.solarmetric.rd.kodo.impl.jdbc.meta.MappingRepository` | `getMappingRepository()` Return the mapping repository.
`com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaFactory` | `getSchemaFactory()` The `SchemaFactory` to use for schema information.
`java.lang.String` | `getSchemaFactoryClass()` The class name of the `SchemaFactory` to use to provide schema information during system initialization.
`java.lang.String` | `getSchemaFactoryProperties()` Properties of the `SchemaFactory`.
`java.lang.String` | `getSchemas()` Comma-separated list of modifiable schemas for JDO instances.
`com.solarmetric.rd.kodo.impl.jdbc.schema.SequenceFactory` | `getSequenceFactory()` The `SequenceFactory` to use.
`java.lang.String` | `getSequenceFactoryClass()` The class name of the `SequenceFactory` implementation.
`java.lang.String` | `getSequenceFactoryProperties()` Configuration properties for the `SequenceFactory`.
`java.lang.String` | `getSubclassMappingType()` The full class or type name of the `ClassMapping` to use when mapping subclasses.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.UpdateManager` | `getUpdateManager()` The `UpdateManager` for runtime data store interaction.
`java.lang.String` | `getUpdateManagerClass()` The `UpdateManager` class to use for managing SQL updates.
`java.lang.String` | `getUpdateManagerProperties()` Configuration properties for the `UpdateManager`.
`boolean` | `getUseSQL92Joins()` Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses.
`java.lang.String` | `getVersionIndicatorType()` The full class or type name of the `VersionIndicator` to use when creating new class mappings.
`void` | `setClassIndicatorType(java.lang.String classIndicatorType)` The full class or type name of the `ClassIndicator` to use when creating new class mappings.
`void` | `setDBDictionary(com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary dbdictionary)` The `DBDictionary` to use.
`void` | `setDBDictionaryClass(java.lang.String dbdictionaryClass)` The `DBDictionary` class to use to define the RDBMS SQL information.
`void` | `setDBDictionaryProperties(java.lang.String dbdictionaryProperties)` Configuration options for the `DBDictionary`.
`void` | `setJDBCListenerClasses(java.lang.String jdbcListenerClasses)` A comma-separated list of the `JDBCListener` classes for listening to `JDBCEvent`s.
`void` | `setJDBCListeners(com.solarmetric.rd.jdbc.JDBCListener[] jdbcListeners)` The `JDBCListener`s to use.
`void` | `setMappingFactory(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingFactory mappingFactory)` The `MappingFactory` to use for O-R mapping.
`void` | `setMappingFactoryClass(java.lang.String mappingFactoryClass)` The class name of the `MappingFactory` to use in creating the O-R mappings.
`void` | `setMappingFactoryProperties(java.lang.String mappingFactoryProperties)` Properties of the `MappingFactory`.
`void` | `setSchemaFactory(com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaFactory schemaFactory)` The `SchemaFactory` to use for schema information.
`void` | `setSchemaFactoryClass(java.lang.String schemaFactoryClass)` The class name of the `SchemaFactory` to use to provide schema information during system initialization.
`void` | `setSchemaFactoryProperties(java.lang.String schemaFactoryProperties)` Properties of the `SchemaFactory`.
`void` | `setSchemas(java.lang.String schemas)` Comma-separated list of modifiable schemas for JDO instances.
`void` | `setSequenceFactory(com.solarmetric.rd.kodo.impl.jdbc.schema.SequenceFactory sequenceFactory)` The `SequenceFactory` to use.
`void` | `setSequenceFactoryClass(java.lang.String sequenceFactoryClass)` The class name of the `SequenceFactory` implementation.
`void` | `setSequenceFactoryProperties(java.lang.String sequenceFactoryProperties)` Configuration properties for the `SequenceFactory`.
`void` | `setSubclassMappingType(java.lang.String subclassMappingType)` The full class or type name of the `ClassMapping` to use when mapping subclasses.
`void` | `setUpdateManager(com.solarmetric.rd.kodo.impl.jdbc.runtime.UpdateManager updateManager)` The `UpdateManager` for runtime data store interaction.
`void` | `setUpdateManagerClass(java.lang.String updateManagerClass)` The `UpdateManager` class to use for managing SQL updates.
`void` | `setUpdateManagerProperties(java.lang.String updateManagerProperties)` Configuration properties for the `UpdateManager`.
`void` | `setUseSQL92Joins(boolean useSQL92Joins)` Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses.
`void` | `setUseSQL92Joins(java.lang.Boolean useSQL92Joins)` Wrapper for JCA use of `setUseSQL92Joins(boolean)`.
`void` | `setVersionIndicatorType(java.lang.String versionIndicatorType)` The full class or type name of the `VersionIndicator` to use when creating new class mappings.

Methods inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`getClassResolver, getClassResolverClass, getClassResolverProperties, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getFetchBatchSize, getFetchThreshold, getFilterListenerClasses, getFilterListeners, getIgnoreCache, getLicense, getLicenseKey, getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getRestoreValues, getRetainValues, getUseManagedRuntime, setClassResolver, setClassResolverClass, setClassResolverProperties, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setFetchBatchSize, setFetchBatchSize, setFetchThreshold, setFetchThreshold, setFilterListenerClasses, setFilterListeners, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseManagedRuntime, setUseManagedRuntime`

Methods inherited from interface com.solarmetric.rd.conf.Configuration
`free, fromProperties, getLog, getLogFactory, isFrozen, setFrozen, setLog, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### LOG_SQL

    public static final java.lang.String LOG_SQL

  Name of the logger for SQL execution messages: `com.solarmetric.kodo.impl.jdbc.SQL`.

  See Also:
    Constant Field Values

### LOG_JDBC

    public static final java.lang.String LOG_JDBC

  Name of the logger for JDBC-related messages: `com.solarmetric.kodo.impl.jdbc.JDBC`.

  See Also:
    Constant Field Values

### LOG_SCHEMA

    public static final java.lang.String LOG_SCHEMA

  Name of the logger for schema-related messages: `com.solarmetric.kodo.impl.jdbc.Schema`.

  See Also:
    Constant Field Values

Method Detail

### getSchemas

    public java.lang.String getSchemas()

  Comma-separated list of modifiable schemas for JDO instances.

### setSchemas

    public void setSchemas(java.lang.String schemas)

  Comma-separated list of modifiable schemas for JDO instances.

### getUseSQL92Joins

    public boolean getUseSQL92Joins()

  Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses. Defaults to true.

### setUseSQL92Joins

    public void setUseSQL92Joins(boolean useSQL92Joins)

  Whether or not to use SQL 92-style joins in queries, including left outer joins for joins in OR clauses. Defaults to true.

### setUseSQL92Joins

    public void setUseSQL92Joins(java.lang.Boolean useSQL92Joins)

  Wrapper for JCA use of `setUseSQL92Joins(boolean)`.

### getJDBCListenerClasses

    public java.lang.String getJDBCListenerClasses()

  A comma-separated list of the `JDBCListener` classes for listening to `JDBCEvent`s.

### setJDBCListenerClasses

    public void setJDBCListenerClasses(java.lang.String jdbcListenerClasses)

  A comma-separated list of the `JDBCListener` classes for listening to `JDBCEvent`s.

### getJDBCListeners

    public com.solarmetric.rd.jdbc.JDBCListener[] getJDBCListeners()

  The `JDBCListener`s to use.

### setJDBCListeners

    public void setJDBCListeners(com.solarmetric.rd.jdbc.JDBCListener[] jdbcListeners)

  The `JDBCListener`s to use.

### getDBDictionaryClass

    public java.lang.String getDBDictionaryClass()

  The `DBDictionary` class to use to define the RDBMS SQL information.

### setDBDictionaryClass

    public void setDBDictionaryClass(java.lang.String dbdictionaryClass)

  The `DBDictionary` class to use to define the RDBMS SQL information.

### getDBDictionaryProperties

    public java.lang.String getDBDictionaryProperties()

  Configuration options for the `DBDictionary`.

### setDBDictionaryProperties

    public void setDBDictionaryProperties(java.lang.String dbdictionaryProperties)

  Configuration options for the `DBDictionary`.

### getDBDictionary

    public com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary getDBDictionary()

  The `DBDictionary` to use.

### setDBDictionary

    public void setDBDictionary(com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary dbdictionary)

  The `DBDictionary` to use.

### getSequenceFactoryClass

    public java.lang.String getSequenceFactoryClass()

  The class name of the `SequenceFactory` implementation.

### setSequenceFactoryClass

    public void setSequenceFactoryClass(java.lang.String sequenceFactoryClass)

  The class name of the `SequenceFactory` implementation.

### getSequenceFactoryProperties

    public java.lang.String getSequenceFactoryProperties()

  Configuration properties for the `SequenceFactory`.

### setSequenceFactoryProperties

    public void setSequenceFactoryProperties(java.lang.String sequenceFactoryProperties)

  Configuration properties for the `SequenceFactory`.

### getSequenceFactory

    public com.solarmetric.rd.kodo.impl.jdbc.schema.SequenceFactory getSequenceFactory()

  The `SequenceFactory` to use.

### setSequenceFactory

    public void setSequenceFactory(com.solarmetric.rd.kodo.impl.jdbc.schema.SequenceFactory sequenceFactory)

  The `SequenceFactory` to use.

### getUpdateManagerClass

    public java.lang.String getUpdateManagerClass()

  The `UpdateManager` class to use for managing SQL updates.

### setUpdateManagerClass

    public void setUpdateManagerClass(java.lang.String updateManagerClass)

  The `UpdateManager` class to use for managing SQL updates.

### getUpdateManagerProperties

    public java.lang.String getUpdateManagerProperties()

  Configuration properties for the `UpdateManager`.

### setUpdateManagerProperties

    public void setUpdateManagerProperties(java.lang.String updateManagerProperties)

  Configuration properties for the `UpdateManager`.

### getUpdateManager

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.UpdateManager getUpdateManager()

  The `UpdateManager` for runtime data store interaction.

### setUpdateManager

    public void setUpdateManager(com.solarmetric.rd.kodo.impl.jdbc.runtime.UpdateManager updateManager)

  The `UpdateManager` for runtime data store interaction.

### getMappingFactoryClass

    public java.lang.String getMappingFactoryClass()

  The class name of the `MappingFactory` to use in creating the O-R mappings. Defaults to the `DBMappingFactory`.

### setMappingFactoryClass

    public void setMappingFactoryClass(java.lang.String mappingFactoryClass)

  The class name of the `MappingFactory` to use in creating the O-R mappings. Defaults to the `DBMappingFactory`.

### getMappingFactoryProperties

    public java.lang.String getMappingFactoryProperties()

  Properties of the `MappingFactory`.

### setMappingFactoryProperties

    public void setMappingFactoryProperties(java.lang.String mappingFactoryProperties)

  Properties of the `MappingFactory`.

### getMappingFactory

    public com.solarmetric.rd.kodo.impl.jdbc.meta.MappingFactory getMappingFactory()

  The `MappingFactory` to use for O-R mapping.

### setMappingFactory

    public void setMappingFactory(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingFactory mappingFactory)

  The `MappingFactory` to use for O-R mapping.

### getSchemaFactoryClass

    public java.lang.String getSchemaFactoryClass()

  The class name of the `SchemaFactory` to use to provide schema information during system initialization. Defaults to the `LazySchemaFactory`.

### setSchemaFactoryClass

    public void setSchemaFactoryClass(java.lang.String schemaFactoryClass)

  The class name of the `SchemaFactory` to use to provide schema information during system initialization. Defaults to the `LazySchemaFactory`.

### getSchemaFactoryProperties

    public java.lang.String getSchemaFactoryProperties()

  Properties of the `SchemaFactory`.

### setSchemaFactoryProperties

    public void setSchemaFactoryProperties(java.lang.String schemaFactoryProperties)

  Properties of the `SchemaFactory`.

### getSchemaFactory

    public com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaFactory getSchemaFactory()

  The `SchemaFactory` to use for schema information.

### setSchemaFactory

    public void setSchemaFactory(com.solarmetric.rd.kodo.impl.jdbc.schema.SchemaFactory schemaFactory)

  The `SchemaFactory` to use for schema information.

### getVersionIndicatorType

    public java.lang.String getVersionIndicatorType()

  The full class or type name of the `VersionIndicator` to use when creating new class mappings. Defaults to `version-number`.

### setVersionIndicatorType

    public void setVersionIndicatorType(java.lang.String versionIndicatorType)

  The full class or type name of the `VersionIndicator` to use when creating new class mappings. Defaults to `version-number`.

### getClassIndicatorType

    public java.lang.String getClassIndicatorType()

  The full class or type name of the `ClassIndicator` to use when creating new class mappings. Defaults to `in-class-name`.

### setClassIndicatorType

    public void setClassIndicatorType(java.lang.String classIndicatorType)

  The full class or type name of the `ClassIndicator` to use when creating new class mappings. Defaults to `in-class-name`.

### getSubclassMappingType

    public java.lang.String getSubclassMappingType()

  The full class or type name of the `ClassMapping` to use when mapping subclasses. Defaults to `flat`.

### setSubclassMappingType

    public void setSubclassMappingType(java.lang.String subclassMappingType)

  The full class or type name of the `ClassMapping` to use when mapping subclasses. Defaults to `flat`.

### getMappingRepository

    public com.solarmetric.rd.kodo.impl.jdbc.meta.MappingRepository getMappingRepository()

  Return the mapping repository. Convenience method to cast from the internal metadata repository.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.